package com.lightinit.hsdataplatformresdir.dictionary;

import java.util.LinkedHashMap;

/**
 * Created by WangYao on 2018/5/21.
 */
public class DicResourceState {

    public static final String DRAFT = "待提交";
    public static final String PENDING = "待审核";
    public static final String APPROVED = "审核通过";
    public static final String REJECTED = "审核不通过";

    private static DicResourceState instance = null;
    private static LinkedHashMap<String, String> dicMap = null;

    private DicResourceState(){
        dicMap = new LinkedHashMap<String, String>();
        dicMap.put(DRAFT, DRAFT);
        dicMap.put(PENDING, PENDING);
        dicMap.put(APPROVED, APPROVED);
        dicMap.put(REJECTED, REJECTED);
    }

    public static DicResourceState getInstacne(){
        if (instance == null)
        {
            instance = new DicResourceState();
        }
        return instance;
    }

    public LinkedHashMap<String, String> getDicMap() {
        return (LinkedHashMap<String, String>)dicMap.clone();
    }
}
